VocabularyImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: VocabularyImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class VocabularyImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.VocabularyImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

Direct Known Subclasses:
  `Vocabulary`

public class VocabularyImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VocabularyImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary vocabulary)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsTerm(String code)`
  `String`
  `getCode()`
  `String`
  `getDescription()`
  `List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable>`
  `getTerms()`
  `String`
  `getUrlTemplate()`
  `protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary`
  `getVocabulary()`
  `boolean`
  `isChosenFromList()`
  `boolean`
  `isInternalNamespace()`
  Deprecated.
  use `isManagedInternally()`
  `boolean`
  `isManagedInternally()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VocabularyImmutable

    public VocabularyImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary vocabulary)

- ## Method Details

  - ### getVocabulary

    protected ch.systemsx.cisd.openbis.generic.shared.basic.dto.Vocabulary getVocabulary()

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### isManagedInternally

    public boolean isManagedInternally()
    Specified by:
      `isManagedInternally` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### isInternalNamespace

    @Deprecated public boolean isInternalNamespace()
    Deprecated.
    use `isManagedInternally()`
    Specified by:
      `isInternalNamespace` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### isChosenFromList

    public boolean isChosenFromList()
    Specified by:
      `isChosenFromList` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### getUrlTemplate

    public String getUrlTemplate()
    Specified by:
      `getUrlTemplate` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### getTerms

    public List<ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyTermImmutable> getTerms()
    Specified by:
      `getTerms` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`

  - ### containsTerm

    public boolean containsTerm(String code)
    Specified by:
      `containsTerm` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IVocabularyImmutable`